This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 121837 - Up2date download progress bar is misleading
Up2date download progress bar is misleading
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2004-04-28 10:33 EDT by Alistair Willock
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:36:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alistair Willock 2004-04-28 10:33:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
When up2date is downloading packages, it appears to increment the
progress bar strictly by package count. I.e. the progress bar
increments by the same amount for a ~500KB package as for a 60MB package.

This differs from the RH9 behaviour, where the progress bar
incremented proportionally to the size of the package. I.e. if package
A represents 1% of the total size of all packages to be downloaded,
and package B represents 10% of said size, then:

 [package B comp. increment] = 10 x [package A comp. increment]

This is a user feedback issue - I believe it to be a bug, because it
differs from the prior behaviour. It would also be really nice if
total download sizes (downloaded/total) were displayed numerically, as
they are for individual packages.

Interestingly, the current behaviour is identical to that of the
installation progress bar, where it makes _much_ more sense, as the
actual file copying seems to take a much smaller percentage of the
total time to install a package. For downloading, where download time
is the major part of the task, this isn't appropriate.

Version-Release number of selected component (if applicable):
up2date-4.3.16-1

How reproducible:
Always

Steps to Reproduce:
1. Run up2date on an out-of-date system (full install)
2. Select All packages for update
3. Observe progress bar as downloading continues
    

Actual Results:  Progress bar incremented equally for each package
download completion

Expected Results:  Progress bar should have incremented more for large
package downloads than small ones.

Additional info:
Comment 1 John Thacker 2006-10-29 09:36:54 EST
Note that FC1 and FC2 are no longer supported even by Fedora Legacy, and FC3 and
FC4 are supported by Fedora Legacy only for security issues.  Please retest this
bug against a still supported version and retest.  If this still occurs on FC3
or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it occurs on RHEL, please change to that product
and the appropriate version.

Note that up2date has been replaced by pirut/pup for FC5 and FC6, the only
fully-supported versions of Fedora Core.  Please test pirut for software updates
and file bugs as appropriate.

Note You need to log in before you can comment on or make changes to this bug.